TKN-HUB-UPGRADE-TASK(1)

NAME

tkn-hub-upgrade-task - Upgrade a Task by its name

SYNOPSIS

tkn hub upgrade task

DESCRIPTION

Upgrade a Task by its name

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--to=""
    Version of Resource

EXAMPLE

Upgrade a Task of name 'foo':

    tkn hub upgrade task foo

or

Upgrade a Task of name 'foo' to version '0.3':

    tkn hub upgrade task foo --to 0.3

SEE ALSO

tkn-hub-upgrade(1)